Summary: Leading World Wide Web server
Name: apache_php
Version: 1.2.6
Release: 4
Obsoletes: apache
Group: Networking/Daemons
Source: ftp://ftp.apache.org/apache/dist/apache_1.2.6.tar.gz
Source1: index.html
Source2: poweredby.gif
Source3: httpd.init
Source4: apache.log
Source5: http://www.php.net/distributions/php-3.0RC4.tar.gz
Source6: http://www.php.net/distributions/manual.tar.gz
Source7: php3.ini
Patch0: apache_1.2.6-rh.patch
Patch1: apache_1.2.6-config.patch
Copyright: Freely distributable & usable
BuildRoot: /tmp/apache-root
Requires: /etc/mime.types
Prereq: /sbin/chkconfig

%description
Apache is a full featured web server that is freely available, and also
happens to be the most widely used.

%package doc
Summary: Documentation for apache
Group: Networking/Daemons
%description doc
HTML-documentation for apache and some examples for php3

%changelog

* Sat Apr 25 1998 Jani Hakala <jahakala@cc.jyu.fi>

- added html-documentation for php

* Tue Apr 21 1998 Jani Hakala <jahakala@cc.jyu.fi>

- updated to php 3.0RC4
- files tagged with %doc are not put into rpm-files...
  I have no idea why.
  
* Sat Apr 18 1998 Jani Hakala <jahakala@cc.jyu.fi>

- updated to apache 1.2.6 and php 3.0RC3

* Wed Feb  4 1998 Jani Hakala <jahakala@cc.jyu.fi>

- added php3

* Tue Jan 06 1998 Erik Troan <ewt@redhat.com>

- updated to 1.2.5, which includes many security fixes

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>

- fixed overkill on http.init stop

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>

- added patch for backslash DOS attach

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>

- added htdigest binary to file list

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>

- made the default index.html be config(noreplace) so we no longer
  blow away other folks' index.html

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>

- added chkconfig support
- added restart|status options to initscript
- renamed httpd.init to httpd

* Tue Oct 07 1997 Elliot Lee <sopwith@redhat.com>
- Redid spec file, patches, etc. from scratch.

%prep
%setup -n apache_1.2.6 -a 5
%patch0 -p1 -b .rh
%patch1 -p1 -b .config

%build
cd php-3.0RC4
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/pgsql" \
./configure --with-apache=$RPM_BUILD_DIR/apache_1.2.6 \
	--disable-debug \
 	--with-system-regex \
	--with-pgsql=/usr/include/pgsql \
 	--with-config-file-path=/etc/httpd/conf
make install
cd ..

cd src
./Configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" -lphp3
make EXTRA_LIBS=-lcrypt -C ../support htpasswd htdigest

%install
rm -rf $RPM_BUILD_ROOT
for I in /usr/sbin /etc/httpd/conf /home/httpd/html /home/httpd/icons \
	/home/httpd/cgi-bin /usr/man/man1 /usr/man/man8 /usr/man/man1 \
	/var/log/httpd /etc/logrotate.d; do
	mkdir -p $RPM_BUILD_ROOT/$I
done

install -s -m755 src/httpd support/htdigest support/htpasswd \
	$RPM_BUILD_ROOT/usr/sbin

install -m755 support/dbmmanage.new $RPM_BUILD_ROOT/usr/sbin/dbmmanage

for I in httpd access srm; do
	install -m644 conf/$I.conf-dist $RPM_BUILD_ROOT/etc/httpd/conf/$I.conf
done

install -m644 $RPM_SOURCE_DIR/php3.ini $RPM_BUILD_ROOT/etc/httpd/conf/php3.ini

install -m644 support/httpd.8 $RPM_BUILD_ROOT/usr/man/man8/httpd.8
install -m644 support/htpasswd.1 $RPM_BUILD_ROOT/usr/man/man1/htpasswd.1
install -m644 icons/* $RPM_BUILD_ROOT/home/httpd/icons
install -m644 htdocs/apache_pb.gif $RPM_BUILD_ROOT/home/httpd/html

mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual
cp -r htdocs/manual/* $RPM_BUILD_ROOT/home/httpd/html/manual

install -m644 $RPM_SOURCE_DIR/poweredby.gif $RPM_SOURCE_DIR/index.html \
	$RPM_BUILD_ROOT/home/httpd/html

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd
for I in 0 1 2 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K15httpd
done
for I in 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S85httpd
done

install -m644 $RPM_SOURCE_DIR/apache.log $RPM_BUILD_ROOT/etc/logrotate.d/apache

echo 'AddType application/x-httpd-php3 .php3' >> $RPM_BUILD_ROOT/etc/httpd/conf/srm.conf
echo 'AddType application/x-httpd-php3 .phtml' >> $RPM_BUILD_ROOT/etc/httpd/conf/srm.conf
echo 'AddType application/x-httpd-php3-source .phps' >> $RPM_BUILD_ROOT/etc/httpd/conf/srm.conf

# extract php-documentation to /home/httpd/html/manual/php
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/php
cd $RPM_BUILD_ROOT/home/httpd/html/manual/php
gzip -cd $RPM_SOURCE_DIR/manual.tar.gz  | tar xfv -

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add httpd

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del httpd
fi

%files
%attr(-,root,root) /usr/sbin/httpd
%attr(-,root,root) /usr/sbin/dbmmanage
%attr(-,root,root) /usr/sbin/htpasswd
%attr(-,root,root) /usr/man/man8/httpd.8
%attr(-,root,root) /usr/sbin/htdigest
%attr(-,root,root) %config /etc/logrotate.d/apache
%attr(-,root,root) %config /etc/httpd/conf/access.conf
%attr(-,root,root) %config /etc/httpd/conf/srm.conf
%attr(-,root,root) %config /etc/httpd/conf/httpd.conf
%attr(-,root,root) %config /etc/httpd/conf/php3.ini
%attr(-,root,root) %config /etc/rc.d/init.d/httpd
%attr(-,root,root) %config(missingok) /etc/rc.d/rc3.d/S85httpd
%attr(-,root,root) %config(missingok) /etc/rc.d/rc5.d/S85httpd
%attr(-,root,root) %config(missingok) /etc/rc.d/rc0.d/K15httpd
%attr(-,root,root) %config(missingok) /etc/rc.d/rc1.d/K15httpd
%attr(-,root,root) %config(missingok) /etc/rc.d/rc2.d/K15httpd
%attr(-,root,root) %config(missingok) /etc/rc.d/rc6.d/K15httpd
%attr(-,root,root) %dir /home/httpd
%attr(-,root,root) /home/httpd/icons
%attr(-,root,root) %dir /home/httpd/cgi-bin
%attr(-,root,root) %dir /home/httpd/html
%attr(-,root,root) %config(noreplace) /home/httpd/html/index.html
%attr(-,root,root) /home/httpd/html/apache_pb.gif
%attr(-,root,root) /home/httpd/html/poweredby.gif
%attr(-,root,root) %dir /var/log/httpd

%files doc
%attr(-,root,root) %doc CHANGES LICENSE README
%attr(-,root,root) %doc php-3.0RC4/BUGS
%attr(-,root,root) %doc php-3.0RC4/CHANGES
%attr(-,root,root) %doc php-3.0RC4/COPYING
%attr(-,root,root) %doc php-3.0RC4/CREDITS
%attr(-,root,root) %doc php-3.0RC4/EXTENSION_STATUS
%attr(-,root,root) %doc php-3.0RC4/FUNCTION_LIST.txt
%attr(-,root,root) %doc php-3.0RC4/INSTALL
%attr(-,root,root) %doc php-3.0RC4/examples
%attr(-,root,root) /home/httpd/html/manual
